"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var path_1 = tslib_1.__importDefault(require("path"));
var camelcase_1 = tslib_1.__importDefault(require("camelcase"));
// This is a custom Jest transformer turning file imports into filenames.
// http://facebook.github.io/jest/docs/en/webpack.html
module.exports = {
    process: function (_src, filename) {
        var assetFilename = JSON.stringify(path_1.default.basename(filename));
        if (filename.match(/\.svg$/)) {
            // Based on how SVGR generates a component name:
            // https://github.com/smooth-code/svgr/blob/01b194cf967347d43d4cbe6b434404731b87cf27/packages/core/src/state.js#L6
            var pascalCaseFileName = camelcase_1.default(path_1.default.parse(filename).name, {
                pascalCase: true,
            });
            var componentName = "Svg" + pascalCaseFileName;
            return "const React = require('react');\n      module.exports = {\n        __esModule: true,\n        default: " + assetFilename + ",\n        ReactComponent: React.forwardRef(function " + componentName + "(props, ref) {\n          return {\n            $$typeof: Symbol.for('react.element'),\n            type: 'svg',\n            ref: ref,\n            key: null,\n            props: Object.assign({}, props, {\n              children: " + assetFilename + "\n            })\n          };\n        }),\n      };";
        }
        return "module.exports = " + assetFilename + ";";
    },
};
//# sourceMappingURL=fileTransform.js.map