/**
 * 项目根目录
 */
export declare const rootPath: string;
/**
 * 将相对于项目根目录的路径解析为绝对路径
 *
 * @param relativePath 相对路径
 */
export declare const resolveRoot: (relativePath: string) => string;
/**
 * 命令行工具的配置
 */
export declare const cliPackageInfo: any;
/**
 * 获取项目配置
 */
export declare function getAppPackageInfo(): any;
/**
 * 项目版本号
 */
export declare const getAppVersion: () => any;
/**
 * 解析模块的真实文件路径
 *
 * @param resolveFn 相对路径解析函数
 * @param filePath 模块相对路径
 */
export declare const resolveModule: (resolveFn: (relativePath: string) => string, filePath: string) => string;
/**
 * 源码根路径
 */
export declare const src: string;
/**
 * 入口文件路径
 */
export declare const entry: string;
/**
 * 测试环境初始化文件路径
 */
export declare const testsSetup: string;
/**
 * 模板位置
 */
export declare const TEMPLATE_PATH: string;
/**
 * 库对应的全局名称
 */
export declare const globals: () => any;
