"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
// eslint-disable-next-line import/no-extraneous-dependencies
var chalk_1 = tslib_1.__importDefault(require("chalk"));
// eslint-disable-next-line no-console
var stderr = console.error.bind(console);
// eslint-disable-next-line @typescript-eslint/no-explicit-any
function logError(err) {
    var error = err.error || err;
    var description = "" + (error.name ? error.name + ": " : '') + (error.message ||
        error);
    var message = error.plugin
        ? "(" + error.plugin + " plugin) " + description
        : description;
    stderr(chalk_1.default.bold.red(message));
    if (error.loc) {
        stderr();
        stderr("at " + error.loc.file + ":" + error.loc.line + ":" + error.loc.column);
    }
    if (error.frame) {
        stderr();
        stderr(chalk_1.default.dim(error.frame));
    }
    else if (err.stack) {
        var headlessStack = error.stack.replace(message, '');
        stderr(chalk_1.default.dim(headlessStack));
    }
    stderr();
}
exports.default = logError;
//# sourceMappingURL=logError.js.map