"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
/* eslint-disable import/prefer-default-export */
var jest_1 = tslib_1.__importDefault(require("jest"));
var child_process_1 = require("child_process");
var create_jest_config_1 = require("./config/create-jest-config");
/**
 * 判断项目是否由Git管理
 */
function isInGitRepository() {
    try {
        child_process_1.execSync('git rev-parse --is-inside-work-tree', { stdio: 'ignore' });
        return true;
    }
    catch (e) {
        return false;
    }
}
/**
 * 运行单元测试命令
 */
function test() {
    process.env.BABEL_ENV = 'test';
    process.env.NODE_ENV = 'test';
    var isInCI = process.env.CI === 'true';
    var argv = process.argv.slice(3);
    var jestConfig = create_jest_config_1.createJestConfig();
    argv.push('--config', JSON.stringify(jestConfig));
    if (isInCI &&
        argv.indexOf('--findRelatedTests') === -1 &&
        (argv.indexOf('--watch') === -1 && argv.indexOf('--watchAll') === -1)) {
        argv.push('--findRelatedTests', '--bail');
    }
    if (!isInCI &&
        argv.indexOf('--watch') === -1 &&
        argv.indexOf('--watchAll') === -1 &&
        isInGitRepository()) {
        argv.push('--watch');
    }
    jest_1.default.run(argv);
}
exports.test = test;
//# sourceMappingURL=test.js.map