/**
 * 获取打包js文件的路径
 *
 * @export
 * @param {string} outDir 输出目录
 * @param {('es' | 'cjs' | 'umd')} format 打包js的格式
 * @param {('development' | 'production')} env 运行环境
 * @returns
 */
export declare function getOutputFilePath(outDir: string, format: 'es' | 'cjs' | 'umd', env: 'development' | 'production'): string;
/**
 * 获取库名称
 *
 * @export
 * @returns 返回库名称
 */
export declare function getLibraryName(): string;
/**
 * 判断指定模块id是否为外部依赖
 *
 * @param {string} id 指定模块id
 * @returns {boolean} 如果指定模块id为外部依赖，则返回true；否则返回false。
 */
export declare function external(id: string): boolean;
/**
 * 将字符串解析为列表
 *
 * 如： `"item1,item2"`解析为`["item1", "item2"]`
 *
 * @param value 字符串值
 */
export declare function commaSeparatedList(value: string): string[];
/**
 * 清除控制台
 */
export declare function clearConsole(): void;
